<script setup>
import InputError from "@/Components/InputError.vue";
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import { useForm } from "@inertiajs/vue3";


const form = useForm({
    name: "",
    email: "",
    password: "",
});

const submit = () => {
    form.post(route("customer.store"));
};

</script>

<template>
    <AuthenticatedLayout>
        <div class="row">
            <div class="col-12">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item">
                            <a href="javascript: void(0);">Customer</a>
                        </li>
                        <li class="breadcrumb-item active">Create</li>
                    </ol>
                </div>
            </div>
        </div>
        <div class="container-fluid mt-4">
            <div class="row">
                <div class="col-8">
                    <h3 class="">Customer</h3>
                    <form @submit.prevent="submit">
                        <div class="row mt-3">
                            <div class="col-sm-6">
                                <label for="username" class="form-label">Name <span class="text-danger">*</span></label>
                                <input type="text" class="form-control" id="username" placeholder="Enter username"
                                    v-model="form.name" />
                                <span></span>
                                <InputError class="mt-2 text-danger" :message="form.errors.name" />
                            </div>
                            <div class="col-sm-6">
                                <label for="useremail" class="form-label">Email <span
                                        class="text-danger">*</span></label>
                                <input type="email" class="form-control" id="useremail"
                                    placeholder="Enter email address" v-model="form.email" />
                                <InputError class="mt-2 text-danger" :message="form.errors.email" />
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col-sm-6">
                                <label class="form-label" for="password-input">Password<span
                                        class="text-danger">*</span></label>
                                <div class="position-relative auth-pass-inputgroup">
                                    <input type="password" class="form-control pe-5 password-input"
                                        onpaste="return false" placeholder="Enter password" id="password-input"
                                        v-model="form.password" />
                                    <div class="invalid-feedback">
                                        Please enter password
                                    </div>
                                </div>
                                <InputError class="mt-2 text-danger" :message="form.errors.password" />
                            </div>
                        </div>
                        <div class="row mt-3">

                            <div class="col-sm-2">
                                <button class="btn btn-success w-100" type="submit">
                                    ADD
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>

    </AuthenticatedLayout>
</template>
